clang-tools 10.0.0

Classes | Namespaces | Enumerations | Functions
MakeMemberFunctionConstCheck.cpp File Reference
`#include "MakeMemberFunctionConstCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for MakeMemberFunctionConstCheck.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::readability::FindUsageOfThis

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::readability

## Enumerations
enum | clang::tidy::readability::UsageKind { clang::tidy::readability::Unused, clang::tidy::readability::Const, clang::tidy::readability::NonConst }

## Functions
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, isStatic)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, hasTrivialBody)
| clang::tidy::readability::AST_MATCHER (CXXRecordDecl, hasAnyDependentBases)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, isTemplate)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, isDependentContext)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, isInsideMacroDefinition)
| clang::tidy::readability::AST_MATCHER_P (CXXMethodDecl, hasCanonicalDecl, ast_matchers::internal::Matcher< CXXMethodDecl >, InnerMatcher)
| clang::tidy::readability::AST_MATCHER (CXXMethodDecl, usesThisAsConst)
static SourceLocation | clang::tidy::readability::getConstInsertionPoint (const CXXMethodDecl *M)